package com.qiuguo.iot.third.nlp.action;

import com.qiuguo.iot.base.utils.StringUtils;
import com.qiuguo.iot.data.entity.system.SystemTalkAnswerConfigEntity;
import lombok.Data;

import java.text.SimpleDateFormat;
import java.time.DayOfWeek;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.List;

@Data
public class ActionTime {

    //匹配系统的动作
    /***
     * 传过来的时间名词
     */
    private String time;//
    /**
     * 解析后的具体日期 yyyy-MM-dd
     */
    private String dateTime;//
    /**
     * 解析后的具体日期 yyyy-MM-dd HH:mm:ss
     */
    private String dateDetailTime;//

    public void setTime(String t){
        LocalDateTime localDateTime;
        if(StringUtils.isNotEmpty(time)){
            localDateTime = LocalDateTime.parse(dateDetailTime);//time转
        }else{
            time = t;
            localDateTime = LocalDateTime.now();
        }
        //解析生成其他时间
        //现在，今天，明天，后天，昨天，前天，*天后，*天，
        // 下周*， *周后，*周，
        // 下个月*， *个月 *月后
        // 今年，明年，后年，去年，前年，*年 *年后
        //*分钟
        //*小时
        //*秒

        DateTimeFormatter df = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        DateTimeFormatter df1 = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        if(t.equals("今天")){

        }else if(t.equals("明天")){
            localDateTime = localDateTime.minusDays(-1);
        }else if(t.equals("后天")){
            localDateTime = localDateTime.minusDays(-2);
        }else if(t.equals("昨天")){
            localDateTime = localDateTime.minusDays(1);
        }else if(t.equals("前天")){
            localDateTime = localDateTime.minusDays(2);
        }
        dateTime = localDateTime.format(df);
        dateDetailTime = localDateTime.format(df1);



    }
}
